import type { Vec2Sym, Vec3Sym, Vec4Sym } from "@thi.ng/shader-ast";
/**
 * Inline function. Returns min(v.x, v.y)
 *
 * @param v -
 */
export declare const minComp2: (v: Vec2Sym | Vec3Sym | Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns min(v.x, v.y, v.z)
 *
 * @param v -
 */
export declare const minComp3: (v: Vec3Sym | Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
/**
 * Inline function. Returns min(v.x, v.y, v.z, v.w)
 *
 * @param v -
 */
export declare const minComp4: (v: Vec4Sym) => import("@thi.ng/shader-ast").FnCall<"float">;
//# sourceMappingURL=mincomp.d.ts.map